Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class InputTransferSelect

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ListUIBean
                  org.apache.struts2.components.InputTransferSelect

    public class InputTransferSelect

extends ListUIBean

Create a input transfer select component which is basically an text input and <select ...> tag with buttons in the middle of them allowing text to be added to the transfer select. Will auto-select all its elements upon its containing form submision.

NOTE: The id and doubleId need not be supplied as they will generated provided that the inputtransferselect tag is being used in a form tag. The generated id and doubleId will be <form_id>_<inputtransferselect_doubleName> and <form_id>_<inputtransferselect_doubleName> respectively.

     <-- minimum configuration -->
     <s:inputtransferselect
          label="Favourite Cartoons Characters"
          name="cartoons"
          list="{'Popeye', 'He-Man', 'Spiderman'}"
      />

Field Summary
`protected String` | `addLabel`
`protected String` | `allowRemoveAll`
`protected String` | `allowUpDown`
`protected String` | `buttonCssClass`
`protected String` | `buttonCssStyle`
`protected String` | `downLabel`
`protected String` | `headerKey`
`protected String` | `headerValue`
`protected String` | `leftTitle`
`protected String` | `multiple`
`protected String` | `removeAllLabel`
`protected String` | `removeLabel`
`protected String` | `rightTitle`
`protected String` | `size`
`protected String` | `upLabel`

Fields inherited from class org.apache.struts2.components.ListUIBean
`list, listCssClass, listCssStyle, listKey, listLabelKey, listTitle, listValue, listValueKey, throwExceptionOnNullValueAttribute`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, defaultTemplateDir, defaultUITheme, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelPosition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, requiredLabel, requiredPosition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, uiThemeExpansionToken, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, devMode, parameters, stack, standardAttributesMap, throwExceptionOnELFailure`

Constructor Summary
`InputTransferSelect(ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`void` | `evaluateExtraParams()`
`String` | `getAddLabel()`
`String` | `getAllowRemoveAll()`
`String` | `getAllowUpDown()`
`String` | `getButtonCssClass()`
`String` | `getButtonCssStyle()`
`protected String` | `getDefaultTemplate()` A contract that requires each concrete UI Tag to specify which template should be used as a default.
`String` | `getDownLabel()`
`String` | `getHeaderKey()`
`String` | `getHeaderValue()`
`String` | `getLeftTitle()`
`String` | `getMultiple()`
`String` | `getRemoveAllLabel()`
`String` | `getRemoveLabel()`
`String` | `getRightTitle()`
`String` | `getSize()`
`String` | `getUpLabel()`
`void` | `setAddLabel(String addLabel)`
`void` | `setAllowRemoveAll(String allowRemoveAll)`
`void` | `setAllowUpDown(String allowUpDown)`
`void` | `setButtonCssClass(String buttonCssClass)`
`void` | `setButtonCssStyle(String buttonCssStyle)`
`void` | `setDownLabel(String downLabel)`
`void` | `setHeaderKey(String headerKey)`
`void` | `setHeaderValue(String headerValue)`
`void` | `setLeftTitle(String leftTitle)`
`void` | `setMultiple(String multiple)`
`void` | `setRemoveAllLabel(String removeAllLabel)`
`void` | `setRemoveLabel(String removeLabel)`
`void` | `setRightTitle(String rightTitle)`
`void` | `setSize(String size)`
`void` | `setUpLabel(String upLabel)`

Methods inherited from class org.apache.struts2.components.ListUIBean
`contains, getValueClassType, setList, setListCssClass, setListCssStyle, setListKey, setListLabelKey, setListTitle, setListValue, setListValueKey, setThrowExceptionOnNullValueAttribute`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, copyParams, enableAncestorFormCustomOnsubmit, end, ensureAttributeSafelyNotEscaped, escape, evaluateNameValue, evaluateParams, getId, getTemplate, getTemplateDir, getTheme, getTooltipConfig, mergeTemplate, populateComponentHtmlId, setAccesskey, setClass, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setDynamicAttributes, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setUIThemeExpansionToken, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, completeExpressionIfAltSyntax, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findStringIfAltSyntax, findValue, findValue, findValue, getComponentStack, getParameters, getStack, getStandardAttributes, isValidTagAttribute, popComponentStack, setActionMapper, setDevMode, setThrowExceptionsOnELFailure, setUrlHelper, start, stripExpressionIfAltSyntax, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### size

    protected String size

### multiple

    protected String multiple

### allowRemoveAll

    protected String allowRemoveAll

### allowUpDown

    protected String allowUpDown

### leftTitle

    protected String leftTitle

### rightTitle

    protected String rightTitle

### buttonCssClass

    protected String buttonCssClass

### buttonCssStyle

    protected String buttonCssStyle

### addLabel

    protected String addLabel

### removeLabel

    protected String removeLabel

### removeAllLabel

    protected String removeAllLabel

### upLabel

    protected String upLabel

### downLabel

    protected String downLabel

### headerKey

    protected String headerKey

### headerValue

    protected String headerValue

Constructor Detail

### InputTransferSelect

    public InputTransferSelect(ValueStack stack,
                               javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)

Method Detail

### getDefaultTemplate

    protected String getDefaultTemplate()

  Description copied from class: `UIBean`
  A contract that requires each concrete UI Tag to specify which template should be used as a default. For example, the CheckboxTab might return "checkbox.vm" while the RadioTag might return "radio.vm". This value not begin with a '/' unless you intend to make the path absolute rather than relative to the current theme.

  Specified by:
    `getDefaultTemplate` in class `UIBean`
  Returns:
    The name of the template to be used as the default.

### evaluateExtraParams

    public void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `ListUIBean`

### getSize

    public String getSize()

### setSize

    public void setSize(String size)

### getMultiple

    public String getMultiple()

### setMultiple

    public void setMultiple(String multiple)

### getAllowRemoveAll

    public String getAllowRemoveAll()

### setAllowRemoveAll

    public void setAllowRemoveAll(String allowRemoveAll)

### getAllowUpDown

    public String getAllowUpDown()

### setAllowUpDown

    public void setAllowUpDown(String allowUpDown)

### getLeftTitle

    public String getLeftTitle()

### setLeftTitle

    public void setLeftTitle(String leftTitle)

### getRightTitle

    public String getRightTitle()

### setRightTitle

    public void setRightTitle(String rightTitle)

### getButtonCssClass

    public String getButtonCssClass()

### setButtonCssClass

    public void setButtonCssClass(String buttonCssClass)

### getButtonCssStyle

    public String getButtonCssStyle()

### setButtonCssStyle

    public void setButtonCssStyle(String buttonCssStyle)

### getAddLabel

    public String getAddLabel()

### setAddLabel

    public void setAddLabel(String addLabel)

### getRemoveLabel

    public String getRemoveLabel()

### setRemoveLabel

    public void setRemoveLabel(String removeLabel)

### getRemoveAllLabel

    public String getRemoveAllLabel()

### setRemoveAllLabel

    public void setRemoveAllLabel(String removeAllLabel)

### getUpLabel

    public String getUpLabel()

### setUpLabel

    public void setUpLabel(String upLabel)

### getDownLabel

    public String getDownLabel()

### setDownLabel

    public void setDownLabel(String downLabel)

### getHeaderKey

    public String getHeaderKey()

### setHeaderKey

    public void setHeaderKey(String headerKey)

### getHeaderValue

    public String getHeaderValue()

### setHeaderValue

    public void setHeaderValue(String headerValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.